portals-jetspeed-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From tay...@apache.org
Subject svn commit: r450373 - /portals/jetspeed-2/trunk/deployPortalsJetspeed2.sh
Date Wed, 27 Sep 2006 08:05:39 GMT
Author: taylor
Date: Wed Sep 27 01:05:38 2006
New Revision: 450373

URL: http://svn.apache.org/viewvc?view=rev&rev=450373
Log:
continuous build patch from Philip

Added:
    portals/jetspeed-2/trunk/deployPortalsJetspeed2.sh

Added: portals/jetspeed-2/trunk/deployPortalsJetspeed2.sh
URL: http://svn.apache.org/viewvc/portals/jetspeed-2/trunk/deployPortalsJetspeed2.sh?view=auto&rev=450373
==============================================================================
--- portals/jetspeed-2/trunk/deployPortalsJetspeed2.sh (added)
+++ portals/jetspeed-2/trunk/deployPortalsJetspeed2.sh Wed Sep 27 01:05:38 2006
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# Script to stop tomcat, update build and deploy jetspeed, and start tomcat
+# It also sends email if jetspeed does not build successfully
+
+# Settings
+export JAVA_HOME=/home/phil/20051223/soft/bin/java
+export JRE_HOME=/home/phil/20051223/soft/bin/java/jre
+export CATALINA_HOME=/home/phil/20051223/opensource/bin/apache-tomcat-5.5.17
+export JAVA_OPTS="-Xms32m -Xmx32m -XX:PermSize=32m -XX:MaxPermSize=32m"
+export M2_HOME=/home/phil/20051223/opensource/bin/maven-2.0.4
+
+# Stop tomcat
+$CATALINA_HOME/bin/shutdown.sh
+
+# Another technique to shutdown with force (Used on machines with low memory)
+#CATALINA_PID=`ps aux | grep catalina | head -2 | head -1 | awk '{print $2}'`
+#kill $CATALINA_PID
+
+# Suggestions for a Super clean environment
+#rm -rf ~/.m2/repository
+#rm -rf /tmp/j2
+#rm -rf $CATLINA_HOME
+#tar xzf apache-tomcat-5.5.17.tar.gz
+#cp tomcat-users.xml $CATLINA_HOME/conf
+
+# Update, clean, build and deploy jetspeed
+cd /home/phil/20051223/opensource/svnProjects/jetspeed-2
+svn update
+$M2_HOME/bin/mvn clean
+$M2_HOME/bin/mvn -P tomcat
+
+# Send email when build fails
+grep "ERROR" /tmp/deployPortalsJetspeed2.log
+ERRORSTATUS=$?
+if [ $ERRORSTATUS -ne 1 ]; then
+    mail -s "Jetspeed 2 BUILD FAILED" phil@linux.site < /tmp/deployPortalsJetspeed2.log
+fi
+
+# Start tomcat
+$CATALINA_HOME/bin/startup.sh



---------------------------------------------------------------------
To unsubscribe, e-mail: jetspeed-dev-unsubscribe@portals.apache.org
For additional commands, e-mail: jetspeed-dev-help@portals.apache.org


Mime
View raw message